#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

struct Vector {
    ll x, y;

    Vector() = default;

    Vector(ll x, ll y) : x(x), y(y) {
    }

    Vector operator+(Vector a) const {
        Vector res(x + a.x, y + a.y);
        return res;
    }

    Vector operator-(Vector a) const {
        Vector res(x - a.x, y - a.y);
        return res;
    }

    ll operator*(Vector a) const {
        return x * a.x + y * a.y;
    }

    ll operator%(Vector a) const {
        return x * a.y - a.x * y;
    }

    Vector operator*(ll k) const {
        Vector res(x * k, y * k);
        return res;
    }

    ll size() const {
        return x * x + y * y;
    }
};

istream &operator>>(istream &in, Vector &a) {
    cin >> a.x >> a.y;
    return in;
}

ostream &operator<<(ostream &out, Vector &a) {
    cout << a.x << ' ' << a.y;
    return out;
}

ll n, t;

vector<Vector> a;
Vector g;
ll v;

bool cmp(ll x1, ll x2) {
    Vector v1 = a[x1] - a[v];
    Vector v2 = a[x2] - a[v];
    if (v1 % v2 == 0 && v1 * v2 > 0) {
        return v1.size() < v2.size();
    }
    if (v1 % g == 0) {
        if (v1 * g > 0) {
            return true;
        } else {
            return v1 % v2 > 0;
        }
    }
    if (v2 % g == 0) {
        if (v2 * g > 0) {
            return false;
        } else {
            return v1 % v2 > 0;
        }
    }
    if (g % v1 > 0 && g % v2 < 0) {
        return true;
    }
    if (g % v2 > 0 && g % v1 < 0) {
        return false;
    }
    if (v1 % v2 > 0) {
        return true;
    } else {
        return false;
    }
}

ll next(ll i, ll j) {
    v = j;
    g = a[j] - a[i];
    vector<ll> b;
    for (ll k = 0; k < n; k++) {
        if (k != j) {
            b.push_back(k);
        }
    }
    sort(b.begin(), b.end(), cmp);
    return b[t - 1];
}

bool is_blue(ll i) {
    for (ll j = 0; j < n; j++) {
        if (i == j) {
            continue;
        }
        ll x = i, y = j;
        vector<vector<bool>> used(n, vector<bool>(n));

        while (!used[x][y]) {
            used[x][y] = true;
            ll k = next(x, y);
            x = y;
            y = k;
            if (x == i) {
                return true;
            }
        }
    }
    return false;
}

bool is_green(ll i) {
    for (ll j = 0; j < n; j++) {
        if (i == j) {
            continue;
        }
        ll x = i, y = j;
        vector<vector<ll>> used(n, vector<ll>(n, -1));

        ll time1 = 0, last = 0;

        while (used[x][y] == -1) {
            used[x][y] = time1;
            ll k = next(x, y);
            x = y;
            y = k;
            if (x == i) {
                last = time1;
            }
            time1++;
        }
        if (used[x][y] <= last) {
            return true;
        }
    }
    return false;
}

int main() {
#ifdef DEBUG_Q
    freopen("INPUT.TXT", "r", stdin);
    freopen("OUTPUT.TXT", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin >> n >> t;
    a.assign(n, Vector());
    for (ll i = 0; i < n; i++) {
        cin >> a[i];
    }
    for (ll i = 0; i < n; i++) {
        if (is_green(i)) {
            cout << "G";
        } else if (is_blue(i)) {
            cout << "B";
        } else {
            cout << "R";
        }
    }
}
